/* --------------------------------------------------------
 Generated by Gunandi using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Gunandi (andri.gunandi1@gmail.com) 
 Date Created : 17/01/2019
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DokumenDto {

	private Integer kdDokumen;

	private String noDokumen;

	@NotNull(message = "dokumen.namajuduldokumen.notnull")
	private String namaJudulDokumen;

	private String namaJudulDokumenSeri;

	@NotNull(message = "dokumen.reportdisplay.notnull")
	private String reportDisplay;

	private String deskripsiDokumen;

	private Long tglDokumen;

	@NotNull(message = "dokumen.kdjenisdokumen.notnull")
	private Integer kdJenisDokumen;

	@NotNull(message = "dokumen.kdkategorydokumen.notnull")
	private Integer kdKategoryDokumen;

	private String imageFile;

	private String pathFile;

	private Integer qtyLampiran;

	private Integer kdDokumenHead;

	@NotNull(message = "dokumen.kdruangan.notnull")
	private String kdRuangan;

	private Integer isDokumenInOutInt;

	private Float retensiDokumenTahun;

	private Long tglAwalBerlaku;

	private Long tglAkhirBerlaku;

	private Integer kdStatus;

	private Integer kdSifatDokumen;

	private Integer kdStatusBerkas;

	private String kodeExternal;

	private String namaExternal;

	private String isiDokumen;

	private Integer kdBahasa;
	private Integer kdNegaraBahasa;
	
	private Integer kdEdisi;

	private Integer kdProdusenProduk;
	private Integer kdNegaraPP;
	
	private Integer qtyPages;

	private String isbn;

	private String imageCover;

	private String imageCoverPathFile;

	private String noRegisterAset;

	private String kolasiDokumen;

	private String keteranganLainnya;

	@NotNull(message = "dokumen.statusenabled.notnull")
	private Boolean statusEnabled;

}
